/*********************************************************************
 *
 *      Copyright (C) 1999-2001 Nathan Fiedler
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * PROJECT:     JSwat
 * MODULE:      JSwat Commands
 * FILE:        disableCommand.java
 *
 * AUTHOR:      Nathan Fiedler
 *
 * REVISION HISTORY:
 *      Name    Date            Description
 *      ----    ----            -----------
 *      nf      09/06/99        Initial version
 *      nf      06/11/01        Eviscerated most of the code.
 *
 * DESCRIPTION:
 *      This file defines the class that handles the 'disable' command.
 *
 * $Id: disableCommand.java,v 1.5 2001/06/18 03:52:17 nfiedler Exp $
 *
 ********************************************************************/

package com.bluemarsh.jswat.command;

/**
 * Defines the class that handles the 'disable' command.
 *
 * @author  Nathan Fiedler
 */
public class disableCommand extends enableCommand {

    /**
     * Sets the enabledValue to <code>false</code>.
     */
    public disableCommand() {
        enabledValue = false;
    } // disableCommand
} // disableCommand
